Skip to content
Navigation

Updates a holding's note.

PATCH
https://api.sherpo.io/merchant/v1/stores/{store}/products/{product}/portfolio/holdings/{holding}

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    The store's id.

  • product
    string
    required

    An id, or slug:<slug>.

    minLength: 1
  • holding
    string
    required
    minLength: 1

Header parameters

  • Idempotency-Key
    optional
    string

    Repeats within 24 hours answer the first result; the same key with other arguments is a conflict.

    maxLength: 255 · minLength: 1 · pattern: ^[\x21-\x7E]+$

Request body JSON optional

  • note
    optional

    One of the following:

    • string
    • null

Returns

200

Updates a holding's note.

JSON
  • id
    string
    required
  • portfolio_id
    string
    required
  • symbol
    string
    required
  • shares
    number
    required
  • avg_cost
    required

    One of the following:

    • number
    • null
  • cost_currency
    string
    required
  • cost_exponent
    required

    One of the following:

    • number
    • null
  • price_currency
    string
    required
  • price_exponent
    required

    One of the following:

    • number
    • null
  • name
    string
    required
  • symbol_type
    required

    One of the following:

    • string
    • null
  • currency
    required

    One of the following:

    • string
    • null
  • note
    required

    One of the following:

    • string
    • null
  • removed_note
    required

    One of the following:

    • string
    • null
  • removed_at
    required

    One of the following:

    • string
    • null
  • updated_at
    required

    One of the following:

    • string
    • null
  • metadata
    map of
    any of
    required
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close